> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domsoftware.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Liberar Reserva

> Retorna a quantidade alocada anteriormente, para o status de "Livre", anulando a reserva sem baixar o estoque (em caso de pedido cancelado/estorno).

### Path

<ParamField path="productId" type="string" required>O produto alvo do release.</ParamField>
<ParamField path="quantity" type="number" required>Saldo que não faturou e será devolvido à vitrine.</ParamField>

### Response

<ResponseExample>
  ```json Response theme={null}
  {
    "message": "Reserva liberada."
  }
  ```
</ResponseExample>


## OpenAPI

````yaml patch /inventory/product/{productId}/release/{quantity}
openapi: 3.0.0
info:
  title: Hub Marketplace API
  description: API for managing marketplace listings and keys
  version: '1.0'
  contact: {}
servers: []
security: []
tags:
  - name: listings
    description: ''
paths:
  /inventory/product/{productId}/release/{quantity}:
    patch:
      tags:
        - Inventory
      summary: Liberar reserva de estoque
      operationId: InventoryController_releaseStock
      parameters:
        - name: productId
          required: true
          in: path
          schema:
            format: uuid
            type: string
        - name: quantity
          required: true
          in: path
          schema:
            type: number
      responses:
        '200':
          description: Reserva liberada
      security:
        - bearer: []
components: {}

````